<template>
  <div>
    <div class="nav" @click="$router.go(-1)"> Kembali</div>
    <el-row :gutter="40" class="detail-farmer">
      <el-col :sm="24" :lg="8">
        <detail />
        <p>&nbsp;</p>
      </el-col>
      <el-col :sm="24" :lg="16" class="tab-wrapper">
        <tabs />
      </el-col>
    </el-row>
  </div>
</template>

<script>
import detail from './detail'
import Tabs from './Tabs'
export default {
  name: 'DetailFarmer',
  components: { detail, Tabs },
  data() {
    return {
      currentRole: 'adminDashboard'
    }
  },
  created() {
    this.$store.dispatch('getDetailFarmer', this.$route.params.path);
    this.$store.dispatch('getFieldsByFarmerId', this.$route.params.path);
    this.$store.dispatch('getFarmerPoint', this.$route.params.path);
    this.$store.dispatch('getFarmerNotif', this.$route.params.path);
    this.$store.dispatch('getFarmerAppActivities', this.$route.params.path);
  }
}
</script>
<style rel="stylesheet/scss" lang="scss" scoped>
  @import '@/styles/mixin.scss';
  @import '@/styles/variables.scss';
  .detail-farmer, .nav {
    margin: 30px 0;
    padding: 0 40px;
  }

  .nav {
    @include ritx-bold;
    color: $ritx-dark-green;
    cursor: pointer;
    margin-top: 30px;
  }
  .nav:before {
    content: "\E600";
    font-family: element-icons!important;
  }
  .tab-wrapper {
    min-height: 700px;
  }
  </style>
